<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );


function remover_acentos($str) { 
  $a = array('À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È', 'É', 'Ê', 'Ë', 'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'ß', 'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ç', 'è', 'é', 'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ñ', 'ò', 'ó', 'ô', 'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý', 'ÿ', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'Ð', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', '?', '?', 'J', 'j', 'K', 'k', 'L', 'l', 'L', 'l', 'L', 'l', '?', '?', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', '?', 'O', 'o', 'O', 'o', 'O', 'o', 'Œ', 'œ', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'Š', 'š', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Ÿ', 'Z', 'z', 'Z', 'z', 'Ž', 'ž', '?', 'ƒ', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', '?', '?', '?', '?', '?', '?', 'ç', 'Ç', "'", "’","(",")"); 
  $b = array('A', 'A', 'A', 'A', 'A', 'A', 'AE', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 'D', 'N', 'O', 'O', 'O', 'O', 'O', 'O', 'U', 'U', 'U', 'U', 'Y', 's', 'a', 'a', 'a', 'a', 'a', 'a', 'ae', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 'n', 'o', 'o', 'o', 'o', 'o', 'o', 'u', 'u', 'u', 'u', 'y', 'y', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'D', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'IJ', 'ij', 'J', 'j', 'K', 'k', 'L', 'l', 'L', 'l', 'L', 'l', 'L', 'l', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', 'n', 'O', 'o', 'O', 'o', 'O', 'o', 'OE', 'oe', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'S', 's', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Y', 'Z', 'z', 'Z', 'z', 'Z', 'z', 's', 'f', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'A', 'a', 'AE', 'ae', 'O', 'o','c','C', "","","",""); 
  return str_replace($a, $b, $str); 
} 

  $cod_lote = date('Y-m-d H:i:s');
     //   echo "<br>numero do lote.: " . $cod_lote . "<br>";
        $dia = date('d-m-Y H:i:s');
        $cod_lote = str_replace("-","", $cod_lote);
   //     echo "<br>numero do lote.: " . $cod_lote . "<br>";
        $cod_lote = str_replace(":","", $cod_lote);
     //   echo "<br>numero do lote.: " . $cod_lote . "<br>";
        $cod_lote = str_replace(" ","", $cod_lote);
   //     echo "<br>numero do lote.: " . $cod_lote . "<br>";



if(isset($_GET['origem']) and !empty($_GET['origem'])){

       $antecipar = explode(",", $_GET['antecipar_p']);
       $tipo  =  $_GET["tipo"];
       // echo "<pre>";
       // print_r($_GET);
       // echo "</pre>";
}else{
	$antecipar = $_POST["antecipar"];
	$tipo  =  $_POST["tipo"];
	// echo "<pre>";
 //    print_r($_POST);
 //    echo "</pre>";
}


// var_dump($antecipar);

//  die();




session_start();
$id_usuario_master = $_SESSION['id_usuario'];


function limpa_cpf($cpf_cli){
	$cpf_cli = str_replace(".", "", $cpf_cli);
	$cpf_cli = str_replace("/", "", $cpf_cli);
	$cpf_cli = str_replace("-", "", $cpf_cli);

	return $cpf_cli;
}   

function busca_dados_cli($venda_id){

	include "conexao.php";
	$busca_conta = mysqli_query($db, "SELECT *
		FROM venda
		INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente                    
		WHERE idvenda = '$venda_id'");

	$conta = mysqli_fetch_assoc($busca_conta);

	return $conta;
}

function conta_empreendimento($idvenda, $tipo = 1){
    include "conexao.php";
	if($tipo == 2){
		
		$busca_conta =  "SELECT *
		FROM venda
		INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
		INNER JOIN lote ON venda.lote_idlote = lote.idlote
		INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
		INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro 
		INNER JOIN empreendimento_centrocusto ON empreendimento_cadastro.idempreendimento_cadastro = empreendimento_centrocusto.empreendimento_id
		INNER JOIN contacorrente ON empreendimento_centrocusto.contacorrente_id = contacorrente.idcontacorrente
		INNER JOIN cliente ON contacorrente.cliente_idcliente = cliente.idcliente
		WHERE idvenda = '$idvenda'";

		$executa_conta = mysqli_query($db, $busca_conta);
		$conta = mysqli_fetch_assoc($executa_conta);

		return $conta;

	}elseif($tipo == 1){
		$query = mysqli_query($db, "SELECT * FROM locacao INNER JOIN contacorrente ON locacao.contacorrente = contacorrente.idcontacorrente INNER JOIN cliente ON contacorrente.cliente_idcliente = cliente.idcliente WHERE idlocacao = $idvenda")or die(mysqli_error($db));	


		$conta = mysqli_fetch_assoc($query);
		return $conta;	
	}

	
}

function ultimo_sequencia($conta_id){

	include "conexao.php";
	$busca_conta = mysqli_query($db, "SELECT seq
		FROM sequencia_remessa
		WHERE id_conta = $conta_id
		ORDER BY idsequencia_remessa DESC LIMIT 1");

	while ($conta = mysqli_fetch_assoc($busca_conta)) {
		$seq = $conta["seq"];
	}

	return $seq;
}

function dados_parcela($idparcelas, $tipo = 1){

	if($tipo == 2){
		include "conexao.php";
		$busca_conta = mysqli_query($db, "SELECT * FROM parcelas
			INNER JOIN venda ON venda.idvenda = parcelas.venda_idvenda                
			INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente
			INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
			INNER JOIN lote ON venda.lote_idlote = lote.idlote
			INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
			INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
			WHERE idparcelas = '$idparcelas'");

		$conta = mysqli_fetch_assoc($busca_conta);


		return $conta;
	}elseif($tipo == 1){
		include "conexao.php";

		$query = mysqli_query($db, "SELECT * FROM parcelas INNER JOIN locacao ON locacao.idlocacao = parcelas.venda_idvenda INNER JOIN imovel ON locacao.imovel_idimovel = imovel.idimovel INNER JOIN cliente ON locacao.cliente_idcliente = cliente.idcliente WHERE idparcelas = $idparcelas")or die(mysqli_error($db));	


		$conta = mysqli_fetch_assoc($query);
		return $conta;	
	}
	
}

function valor_vinculo($vinculo){

	include "conexao.php";
	$select_vinculo = mysqli_query($db, "SELECT SUM(valor_parcelas) as total_parcelas, SUM(juros_multa) as total_multa, SUM(juros_mora) as total_mora, SUM(juros_outros) as total_outros, SUM(desc_parcela) as total_desc FROM parcelas
		WHERE vinculo = '$vinculo'");

	while ($result_vinculo = mysqli_fetch_assoc($select_vinculo)) {

		$total_parcelas = $result_vinculo["total_parcelas"];
		$total_multa    = $result_vinculo["total_multa"];
		$total_mora     = $result_vinculo["total_mora"];
		$total_outros   = $result_vinculo["total_outros"];
		$total_desc     = $result_vinculo["total_desc"];

		$total = ($total_parcelas + $total_multa + $total_mora + $total_outros) - $total_desc;

	}

	return $total;
}

function dados_endereco($cliente_id){
	include "conexao.php";

	$query = "SELECT trim(idendereco) as idendereco, trim(id_cliente) as id_cliente, trim(endereco_cli) as endereco_cli, trim(numero_cli) as numero_cli,	trim(complemento_cli) as complemento_cli, trim(bairro_cli) as bairro_cli, trim(cidade_cli) as cidade_cli, trim(estado_cli) as estado_cli, trim(cep_cli) as cep_cli FROM endereco_cli  WHERE id_cliente = '$cliente_id' order by id_cliente desc limit 1";
	//echo $query;


	$executa = mysqli_query($db,$query);

	$busca = mysqli_fetch_assoc($executa);
	


	return $busca;
}


function verificarVinculo($idparcela){
	include "conexao.php";

	$query = "SELECT vinculo FROM parcelas  WHERE idparcelas = '$idparcela'";
	//echo $query;


	$executa = mysqli_query($db,$query) or die ("erro ao listar numero do vinculo");

	$busca = mysqli_fetch_assoc($executa);
	$vinculo = $busca['vinculo'];


	return $vinculo;
}

function pegaParcelasVinculo($vinculo){

	include "conexao.php";
    //echo "entrei na funçao";

	$query = "SELECT idparcelas FROM parcelas WHERE vinculo = '$vinculo' AND fluxo = 0";
    //echo $query;

	$executa = mysqli_query($db, $query) or die ("erro ao listar parcelas vinculadas");

	while($busca1 = mysqli_fetch_assoc($executa)){

		$parcelas[] = $busca1['idparcelas'];

	}

	return $parcelas;
}



$envio  = $_GET["envio"]; // 1 PARA REMESSA / 2 PARA BOLETO
//$tipo  =  $_POST["tipo"];


$cont = 0;
foreach ($antecipar as $key) {



	// echo "Parou aqui: ".$key; die();

	$dados_parcela = dados_parcela($key, $tipo);
	$idvenda       = $dados_parcela["venda_idvenda"];
	$conta_corrente = conta_empreendimento($idvenda, $tipo);
	
	
    // dados cedente da conta corrente
	$idcedente         = $conta_corrente["idcliente"];

	$dados_end_cedente = dados_endereco($idcedente);


	$nome_cedente      = remover_acentos($conta_corrente["nome_cli"]);
	$cpf_cedente       = $conta_corrente["cpf_cli"];
	$cedente_juridico  = $conta_corrente["fisico_juridico"];
	$endereco_cedente  = remover_acentos($dados_end_cedente["endereco_cli"]);
	$numero_cedente    = $dados_end_cedente["numero_cli"];
	$bairro_cedente    = remover_acentos($dados_end_cedente["bairro_cli"]);
	$cidade_cedente    = remover_acentos($dados_end_cedente["cidade_cli"]);
	$estado_cedente    = $dados_end_cedente["estado_cli"];
	$cep_cedente       = $dados_end_cedente["cep_cli"];
	$chave_master      = $conta_corrente['chave_master'];
	
	$auto              = $conta_corrente['auto'];

	$cpf_cedente = limpa_cpf($cpf_cedente);

    // dados da conta corrente
	$idcontacorrente               = $conta_corrente["idcontacorrente"];
	$cod_banco                     = $conta_corrente["banco"];
	$nome_banco                    = $conta_corrente["banco"];
	$agencia                       = $conta_corrente["agencia"];
	$dig_agencia                   = $conta_corrente["dig_agencia"];
	$conta                         = $conta_corrente["conta"];
	$dig_conta                     = $conta_corrente["dig_conta"];
	$carteira                      = $conta_corrente["carteira"];
	$codigo_cedente                = $conta_corrente["codigo_cedente"];
	$cod_transmissao               = $conta_corrente["cod_transmissao"];
	$posto                         = $conta_corrente["posto"];
	$quem_envia                    = $conta_corrente["quem_envia"];
	$dias_baixa_banco              = $conta_corrente["dias_baixa_banco"];

	$sequencia_remessa = ultimo_sequencia($idcontacorrente);
	$dados_gerar[$cont]["sequencia_remessa"]= $sequencia_remessa; 
	$dados_gerar[$cont]["nome_cedente"]     = $nome_cedente; 
	$dados_gerar[$cont]["cpf_cedente"]      = $cpf_cedente; 
	$dados_gerar[$cont]["cedente_juridico"] = $cedente_juridico; 
	$dados_gerar[$cont]["endereco_cedente"] = $endereco_cedente; 
	$dados_gerar[$cont]["numero_cedente"]   = $numero_cedente; 
	$dados_gerar[$cont]["bairro_cedente"]   = $bairro_cedente; 
	$dados_gerar[$cont]["cidade_cedente"]   = $cidade_cedente; 
	$dados_gerar[$cont]["estado_cedente"]   = $estado_cedente; 
	$dados_gerar[$cont]["cep_cedente"]      = $cep_cedente; 

	$dados_gerar[$cont]["agencia"]          = $agencia; 
	$dados_gerar[$cont]["dig_agencia"]      = $dig_agencia; 
	$dados_gerar[$cont]["conta"]            = $conta; 
	$dados_gerar[$cont]["dig_conta"]        = $dig_conta; 
	$dados_gerar[$cont]["codigo_cedente"]   = $codigo_cedente; 
	$dados_gerar[$cont]["chave_master"]   = $chave_master;
	$dados_gerar[$cont]["cod_transmissao"]  = $cod_transmissao; 
	$dados_gerar[$cont]["carteira"]         = $carteira; 
	$dados_gerar[$cont]["posto"]            = $posto; 
	$dados_gerar[$cont]["dias_baixa_banco"] = $dias_baixa_banco; 
	$dados_gerar[$cont]["quem_envia"]       = $quem_envia; 

    // Busca os dados das parcelas 
	$nome_cli           = remover_acentos($dados_parcela["nome_cli"]);
	$cpf_cli            = $dados_parcela["cpf_cli"];
	$cliente_id         = $dados_parcela["idcliente"];

	$dados_endereco = dados_endereco($cliente_id);

	$endereco_cli       = remover_acentos($dados_endereco["endereco_cli"]);
	$numero_cli         = $dados_endereco["numero_cli"];
	$bairro_cli         = remover_acentos($dados_endereco["bairro_cli"]);
	$cidade_cli         = remover_acentos($dados_endereco["cidade_cli"]);
	$estado_cli         = $dados_endereco["estado_cli"];
	$cep_cli            = $dados_endereco["cep_cli"];
	$fisico_juridico    = $dados_parcela["fisico_juridico"];
	$telefone_cli		= $dados_parcela['telefone1_cli'];

	$cep_cli1 = str_replace("-", "", $cep_cli);
	$cep_cli3 = str_replace(".", "", $cep_cli1);
	$cep_cli3 = str_pad($cep_cli3 , 5, '0', STR_PAD_LEFT);
	$cep_sufixo = substr($cep_cli3, -3); 
	$cep_inteiro = substr($cep_cli3, 0, -3); 

	$descricao_empreendimento = remover_acentos($dados_parcela["descricao_empreendimento"]);
	$quadra                   = remover_acentos($dados_parcela["quadra"]);
	$lote                     = remover_acentos($dados_parcela["lote"]);
	$multa_atraso             = $dados_parcela["multa_atraso"];
	$juros_atraso             = $dados_parcela["juros_atraso"];

	$telefone1_cli == '' ? $dados_gerar[$cont]["telefone_cli"] = '1199999999' : $dados_gerar[$cont]["telefone_cli"] = $telefone1_cli; 

	$dados_gerar[$cont]["nome_cli"]     = $nome_cli; 
	$dados_gerar[$cont]["cpf_cli"]      = $cpf_cli; 
	$dados_gerar[$cont]["endereco_cli"] = $endereco_cli; 
	$dados_gerar[$cont]["numero_cli"]   = $numero_cli; 
	$dados_gerar[$cont]["bairro_cli"]   = $bairro_cli; 
	$dados_gerar[$cont]["cidade_cli"]   = $cidade_cli; 
	$dados_gerar[$cont]["estado_cli"]   = $estado_cli; 
	$dados_gerar[$cont]["cep_inteiro"]  = $cep_inteiro; 
	$dados_gerar[$cont]["cep_sufixo"]   = $cep_sufixo; 
	$dados_gerar[$cont]["fisico_juridico"]   = $fisico_juridico; 

	$dados_gerar[$cont]["descricao_empreendimento"]      = $descricao_empreendimento; 
	$dados_gerar[$cont]["quadra"]      = $quadra; 
	$dados_gerar[$cont]["lote"]        = $lote; 

    // faz a tratativa para o formato dd/mm/YYYY exigido pelo layout dos boletos
	$data_vencimento_parcela = $dados_parcela["data_vencimento_parcela"];
	$data_vencimento_parcela = str_replace("-", "/", $data_vencimento_parcela);
	$data_boleto = $dados_parcela["data_boleto"];
	$data_boleto = str_replace("-", "/", $data_boleto);

	$multa            = $dados_parcela["juros_multa"];
	$juros            = $dados_parcela["juros_mora"];
	$honorarios       = $dados_parcela["juros_outros"];
	$desconto         = $dados_parcela["desc_parcela"];
	$valor_parcelas   = $dados_parcela["valor_parcelas"];
	$numero_sequencia = $dados_parcela["numero_sequencia"];
	$vinculo          = $dados_parcela["vinculo"];

	if($vinculo != ''){
		$valor_parcelas = valor_vinculo($vinculo);
	}else{
		$valor_parcelas   = $dados_parcela['valor_parcelas'];
		$valor_parcelas   = ($valor_parcelas + $multa + $juros + $honorarios) - $descontos;
	}

	$multa_por_atraso = $valor_parcelas * ($multa_atraso/100);
	$juros_por_atraso = $valor_parcelas * ($juros_atraso/100) * 1;

	$multa_por_atraso = number_format($multa_por_atraso, 2, ',', '.');
	$juros_por_atraso = number_format($juros_por_atraso, 2, ',', '.');

	$multa = number_format($multa, 2, ',', '.');
	$juros = number_format($juros, 2, ',', '.');
	$honorarios = number_format($honorarios, 2, ',', '.');

	$dados_gerar[$cont]["idparcelas"]      =$key;
	$dados_gerar[$cont]["data_vencimento"] =$data_vencimento_parcela;
	$dados_gerar[$cont]["valor_parcelas"]  =$valor_parcelas;
	$dados_gerar[$cont]["multa"]           =$multa;    
	$dados_gerar[$cont]["juros"]           =$juros;
	$dados_gerar[$cont]["honorarios"]      =$honorarios;
	$dados_gerar[$cont]["descontos"]       =$desconto;
	$dados_gerar[$cont]["numero_sequencia"]=$numero_sequencia;
	$dados_gerar[$cont]["data_boleto"]     =$data_boleto;


	$descricao_empreendimento = substr($descricao_empreendimento, 0, 20);

    // Demonstrativo é a parte superior dos boletos são 3.
    // O primeiro será sempre o nome do empreendimento, Quadra e Lote

	$descricao_empreendimento = remover_acentos($descricao_empreendimento);

	$dados_gerar[$cont]["demonstrativo1"]=$descricao_empreendimento. " Quadra: ".$quadra." Lote: ".$lote. " Parcela ".$numero_sequencia;

    // Verificamos o tipo de Parcela 
    // ATU Atualização 
    // ANT Antecipação
    // R   Renegociação
    //   ou parcela Normal -  Nos casos acima cada um terá uma mensagem especifica
	$verifica_parcela = explode("-",$numero_sequencia);

	if($verifica_parcela[0] == 'ANT'){
		$dados_gerar[$cont]["multa_atraso"]     ='';
		$dados_gerar[$cont]["juros_atraso"]     ='';

		$dados_gerar[$cont]["demonstrativo2"]="Antecipacao da parcela ".$verifica_parcela[1];
		$dados_gerar[$cont]["demonstrativo3"]="Nao receber apos o vencimento";

		$dados_gerar[$cont]["instrucoes1"]="Nao receber após o vencimento";
		$dados_gerar[$cont]["instrucoes2"]="";
		$dados_gerar[$cont]["instrucoes3"]="";
		$dados_gerar[$cont]["instrucoes4"]="";

	}else if($verifica_parcela[0] == 'ATU'){
		$dados_gerar[$cont]["multa_atraso"]     ='';
		$dados_gerar[$cont]["juros_atraso"]     ='';

		$dados_gerar[$cont]["demonstrativo2"]="Atualizacao da parcela ".$verifica_parcela[1];
		$dados_gerar[$cont]["demonstrativo3"]="Nao receber apos o vencimento";

		$dados_gerar[$cont]["instrucoes1"]="Nao receber apos o vencimento";
		$dados_gerar[$cont]["instrucoes2"]="";
		$dados_gerar[$cont]["instrucoes3"]="";
		$dados_gerar[$cont]["instrucoes4"]="";

	}else if($verifica_parcela[0] == 'R'){

		$dados_gerar[$cont]["multa_atraso"]     =$multa_atraso;
		$dados_gerar[$cont]["juros_atraso"]     =$juros_atraso;

		$dados_gerar[$cont]["demonstrativo2"]="Renegociacao da parcela ".$verifica_parcela[1];
		$dados_gerar[$cont]["demonstrativo3"]="";

		$dados_gerar[$cont]["instrucoes1"]="Apos o vencimento multa de:".$multa_por_atraso;
		$dados_gerar[$cont]["instrucoes2"]="Cobrar Juros de:".$juros_por_atraso." ao dia";
		$dados_gerar[$cont]["instrucoes3"]="";
		$dados_gerar[$cont]["instrucoes4"]="";

	}else{

		$dados_gerar[$cont]["multa_atraso"]     =$multa_atraso;
		$dados_gerar[$cont]["juros_atraso"]     =$juros_atraso;

		$dados_gerar[$cont]["demonstrativo2"]="";
		$dados_gerar[$cont]["demonstrativo3"]="";

		$dados_gerar[$cont]["instrucoes1"]="Apos o vencimento multa de:".$multa_por_atraso;
		$dados_gerar[$cont]["instrucoes2"]="Cobrar Juros de:".$juros_por_atraso." ao dia";
		$dados_gerar[$cont]["instrucoes3"]="";
		$dados_gerar[$cont]["instrucoes4"]=""; 
	}

	if($dados_parcela["demonstrativo1"] != ""){
		$dados_gerar[$cont]["demonstrativo1"]= remover_acentos($dados_parcela["demonstrativo1"]);
	}
	if($dados_parcela["demonstrativo2"] != ""){
		$dados_gerar[$cont]["demonstrativo2"]= remover_acentos($dados_parcela["demonstrativo2"]);
	}
	if($dados_parcela["demonstrativo3"] != ""){
		$dados_gerar[$cont]["demonstrativo3"]= remover_acentos($dados_parcela["demonstrativo3"]);
	}

	if($dados_parcela["instrucao1"] != ""){
		$dados_gerar[$cont]["instrucoes1"]= remover_acentos($dados_parcela["instrucao1"]);
	}	
	if($dados_parcela["instrucao2"] != ""){
		$dados_gerar[$cont]["instrucoes2"]= remover_acentos($dados_parcela["instrucao2"]);
	}
	if($dados_parcela["instrucao3"] != ""){
		$dados_gerar[$cont]["instrucoes3"]= remover_acentos($dados_parcela["instrucao3"]);
	}
	if($dados_parcela["instrucao4"] != ""){
		$dados_gerar[$cont]["instrucoes4"]= remover_acentos($dados_parcela["instrucao4"]);
	}


	$cont = $cont + 1;

	$erros = "";

    // Validação para geração de remessa 
	if($nome_cli == ''){
		$erros .="Nome do Cliente Vazio";
	}
	if($cpf_cli == ''){
		$erros .="CPF do Cliente Vazio";
	}
	if($endereco_cli == ''){
		$erros .="Endereço do Cliente Vazio";
	}
	if($cep_cli == ''){
		$erros .="CPF do Cliente Vazio";
	}
	if($cidade_cli == ''){
		$erros .="Cidade do Cliente Vazio";
	}
	if($estado_cli == ''){
		$erros .="Estado do Cliente Vazio";
	}
	if($nome_cedente == ''){
		$erros .="Nome do Cedente Vazio";
	}
	if($cpf_cedente == ''){
		$erros .="CNPJ do Cedente Vazio";
	}
	if($agencia == ''){
		$erros .="Agencia da Conta corrente Vazio";

	}
	if($conta == ''){
		$erros .="Numero da Conta corrente Vazio Vazio";
	}
	if($codigo_cedente == ''){
		$erros .="Codigo do Cedente da Conta Vazio";
	}

	if($erros != ''){ ?>
		<script type="text/javascript">
			alert('<?php echo $erros ?>');
		</script>
		<script type="text/javascript">javascript:history.back(-2)</script>

	<?php 
		die();

	}else{
		include "conexao.php";
		//die();
		isset($auto) ? "" : $auto = 0;
		// Altera status da parcela de remessa gerada para SIM
		// Condição para nao atualizar as parcelas da SICREDI antes do retorno na API
		if($cod_banco != '748' && $envio != 2 && $auto != 1){
			$altera_status = mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas = $key");
		}
	}
}

// echo "<pre>";
// print_r($dados_gerar);
// echo "</pre>";
// die();

if($envio == 2){

	if($cod_banco == '033'){
		$exibe_url = 'boletos/boleto_santander_banespa.php';
	}elseif($cod_banco == '341'){
		$exibe_url = 'boletos/boleto_itau.php';
	}elseif ($cod_banco == '756') {
		$exibe_url = 'boletos/boleto_bancoob_carne.php';
	}elseif ($cod_banco == '001') {
		$exibe_url = 'boletos/boleto_bb.php';
	}elseif ($cod_banco == '237') {
		$exibe_url = 'boletos/boleto_bradesco.php';
	}elseif ($cod_banco == '104') {
		$exibe_url = 'boletos/boleto_cef_sigcb.php';
	}elseif ($cod_banco == '748') {
		$exibe_url = 'boletos/boleto_sicredi.php';
	}

}else{
	include "conexao.php";

	if($cod_banco == '033'){
	    
	    if($auto != 1){
	        $exibe_url = 'santander/remessa.php';
	        	   foreach ($antecipar as $idparcela_num) {
	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 756");

                mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')");


	       }
	    }else{
	        
	        //TRATATIVA PARA O BOLETÃO DA SICREDI
    		$ch = curl_init("https://boletos.ibsystem.com.br/sicredi/new_remessa.php");
    		// $dados['dados'] = $dados_gerar; 
    
    		$dados['dados'] = json_encode($dados_gerar);
    		$dados['acao'] = 'registro';
    
    		// echo "<pre>";
    		// print_r($dados_gerar);
    		// echo "</pre>";
    		// die();
    
    		curl_setopt($ch, CURLOPT_POST, true);
    		curl_setopt($ch, CURLOPT_POSTFIELDS, $dados);
    		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    
    		$retorno = curl_exec($ch);
    		$aux = curl_getinfo($ch);
    
    		curl_close($ch);
    
    		// var_dump($retorno);
    		// echo "<br><br>";
    
    		$retorno = json_decode($retorno, true);
    		
    		// var_dump($retorno);
    		// die();
    
    		$cad_lote = date('YmdHis');
    
    		foreach ($retorno as $key => $value) {
    				include "conexao.php";

    			if($value['status'] == 1){
    
    				$vinculo = verificarVinculo($value['parcela']);
    
    				if($vinculo != ''){
    
    					$parcelas_master = pegaParcelasVinculo($vinculo);
    
    					foreach ($parcelas_master as $chave => $valor) {
    						mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$valor)or die(mysqli_error($db));
    
    						mysqli_query($db, "INSERT INTO remessa (id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('$valor',1,'','$cod_lote','$id_usuario_master','".date('d-m-Y')."')")or die(mysqli_error($db));
    					}
    
    				}else{
    					mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$value['parcela'])or die(mysqli_error($db));
    
    					mysqli_query($db, "INSERT INTO remessa (id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('".$value['parcela']."',1,'','$cod_lote','$id_usuario_master','".date('d-m-Y')."')")or die(mysqli_error($db));
    				}
    				
    			}
    		}
    
    		?>
    
    		<script type="text/javascript">javascript:history.back(-2)</script>
    
    		<?php 
    
    		die();
	    }


        
	}elseif($cod_banco == '341'){
		$exibe_url = 'itau/remessa.php';
   
	       foreach ($antecipar  as $idparcela_num) {
	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 341");
                 
     //   echo $query_1; die();
       
                mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')");

	       }

	}elseif ($cod_banco == '756') {
		$exibe_url = 'sicoob/remessa.php';
		   foreach ($antecipar as $idparcela_num) {
	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 756");

                mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')");


	       }

	}elseif ($cod_banco == '001') {
		$exibe_url = 'bb/remessa.php';
		  foreach ($antecipar as  $idparcela_num) {
	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 001");

	       	    mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')");

	       }

	}elseif ($cod_banco == '237') {
		
		include "conexao.php";
		$exibe_url = 'bradesco/remessa.php';
		   foreach ($antecipar as  $idparcela_num) {

	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 237");


	            mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')") or die("erro ao gerar na tabela das travas");


	       }

	}elseif ($cod_banco == '104') {
		$exibe_url = 'cef/remessa.php';
		   foreach ($antecipar as  $idparcela_num) {

	       	    mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$idparcela_num)or die("erro para codbanco 104");
                
                mysqli_query ($db,"INSERT INTO remessa (idremessa, id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('','$idparcela_num',1,'','$cod_lote','$geradopor','$dia')");

	       }

	}elseif ($cod_banco == '748') {
		$exibe_url = 'sicredi/remessa.php';

		//TRATATIVA PARA O BOLETÃO DA SICREDI
		$ch = curl_init("https://boletos.ibsystem.com.br/sicredi/new_remessa.php");
		// $dados['dados'] = $dados_gerar; 

		$dados['dados'] = json_encode($dados_gerar);
		$dados['acao'] = 'registro';

		// echo "<pre>";
		// print_r($dados_gerar);
		// echo "</pre>";
		// die();

		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $dados);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

		$retorno = curl_exec($ch);
		$aux = curl_getinfo($ch);

		curl_close($ch);

		// var_dump($retorno);
		// echo "<br><br>";

		$retorno = json_decode($retorno, true);
		
		// var_dump($retorno);
		// die();

		$cad_lote = date('YmdHis');

		foreach ($retorno as $key => $value) {
			if($value['status'] == 1){

				$vinculo = verificarVinculo($value['parcela']);

				if($vinculo != ''){

					$parcelas_master = pegaParcelasVinculo($vinculo);

					foreach ($parcelas_master as $chave => $valor) {
						mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$valor)or die(mysqli_error($db));

						mysqli_query($db, "INSERT INTO remessa (id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('$valor',1,'','$cod_lote','$id_usuario_master','".date('d-m-Y')."')")or die(mysqli_error($db));
					}

				}else{
					mysqli_query($db, "UPDATE parcelas SET remessa = 1 WHERE idparcelas =".$value['parcela'])or die(mysqli_error($db));

					mysqli_query($db, "INSERT INTO remessa (id_parcela,status,motivo,num_lote_remessa,gerado_por,data_geracao) values ('".$value['parcela']."',1,'','$cod_lote','$id_usuario_master','".date('d-m-Y')."')")or die(mysqli_error($db));
				}
				
			}
		}

		?>

		<script type="text/javascript">javascript:history.back(-2)</script>

		<?php 

		die();
	}	

    // Apos gerada a remessa é preciso adicionar a proxima sequencia
	$xnumero_seq = (1 + $sequencia_remessa);
	$nova_sequencia = mysqli_query($db, "INSERT INTO sequencia_remessa (id_conta, seq) values ('$idcontacorrente','$xnumero_seq')");

}

?>
<!-- <form action="boletos/<?php echo $exibe_url ?>.php" method="POST" name="nome" id="nome">
-->

<form action="https://boletos.ibsystem.com.br/<?php echo $exibe_url ?>" method="POST" name="nome" id="nome">
	<input type="hidden" name="dados_gerar" value='<?php echo json_encode($dados_gerar) ?>'>
</form>
<script type="text/javascript">
	document.nome.submit();
</script>

